# ej2-pdfviewer

Syncfusion [Vue PDF Viewer](https://www.syncfusion.com/vue-ui-components/vue-pdf-viewer?utm_source=npm&utm_medium=listing&utm_campaign=vue-pdf-viewer-npm) control enables you to view and print PDF files from your web applications.

![PDF Viewer](https://ej2.syncfusion.com/products/images/pdfviewer/readme.gif)

> This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of Syncfusion's EULA (https://www.syncfusion.com/eula/es/). To acquire a license, you can purchase one at https://www.syncfusion.com/sales/products or start a free 30-day trial here (https://www.syncfusion.com/account/manage-trials/start-trials).

> A free community license (https://www.syncfusion.com/products/communitylicense) is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

## Setup

To install PDF Viewer and its dependent packages, use the following command

```sh
npm install @syncfusion/ej2-pdfviewer
```

## Resources

* [Getting Started](https://ej2.syncfusion.com/vue/documentation/pdfviewer/getting-started/?utm_source=npm&utm_medium=listing&utm_campaign=vue-pdf-viewer-npm)
* [View Online Demos](https://ej2.syncfusion.com/vue/demos/?utm_source=npm&utm_medium=listing&utm_campaign=vue-pdf-viewer-npm#/material/pdfviewer/default.html)
* [Product Page](https://www.syncfusion.com/vue-ui-components/vue-pdf-viewer?utm_source=npm&utm_medium=listing&utm_campaign=vue-pdf-viewer-npm)

## Supported Frameworks

PDF Viewer component is also offered in following list of frameworks.

1. [Angular PDF Viewer](https://www.syncfusion.com/angular-ui-components/angular-pdf-viewer?utm_source=npm&utm_medium=listing&utm_campaign=vue-pdf-viewer-npm)
2. [JavaScript PDF Viewer](https://www.syncfusion.com/javascript-ui-controls/js-pdf-viewer?utm_source=npm&utm_medium=listing&utm_campaign=vue-pdf-viewer-npm)
3. [React PDF Viewer](https://www.syncfusion.com/react-ui-components/react-pdf-viewer?utm_source=npm&utm_medium=listing&utm_campaign=vue-pdf-viewer-npm)
4. [ASP.NET Core PDF Viewer](https://www.syncfusion.com/aspnet-core-ui-controls/pdf-viewer?utm_source=npm&utm_medium=listing&utm_campaign=vue-pdf-viewer-npm)
5. [ASP.NET MVC PDF Viewer](https://www.syncfusion.com/aspnet-mvc-ui-controls/pdf-viewer?utm_source=npm&utm_medium=listing&utm_campaign=vue-pdf-viewer-npm)

## Key Features

* **View PDF Document** - Open and display both normal and PDF files protected with AES and RC4 encryption.
* **Core interactions** - Scrolling, Zooming, panning and page navigation.
* **Built-in toolbar**  - Built-in-toolbar to perform user interaction of PDF Viewer functionalities.
* **Selection**         - Select and copy text from PDF file.
* **Search**            - Search a text easily across the PDF document.
* **Navigation**        - Easy navigation with the help of Bookmarks, thumbnails, hyperlinks and table of contents.
* **View modes**        - fit to page, fit to visible and fit to width.
* **Print**             - Print the entire document or a specific page directly from the browser.

## Support

Product support is available for through following mediums.

* Creating incident in Syncfusion [Direct-trac](https://www.syncfusion.com/support/directtrac/incidents?utm_source=npm&utm_medium=listing&utm_campaign=vue-pdf-viewer-npm) support system or [Community forum](https://www.syncfusion.com/forums/essential-js2?utm_source=npm&utm_medium=listing&utm_campaign=vue-pdf-viewer-npm).
* New [GitHub issue](https://github.com/syncfusion/ej2-pdfviewer/issues/new?utm_source=npm&utm_medium=listing&utm_campaign=vue-pdf-viewer-npm).
* Ask your query in Stack Overflow with tag `syncfusion`, `ej2`.

## License

Check the license detail [here](https://github.com/syncfusion/ej2/blob/master/license?utm_source=npm&utm_medium=listing&utm_campaign=vue-pdf-viewer-npm).

## Changelog

Check the changelog [here](https://github.com/syncfusion/ej2-pdfviewer/blob/master/CHANGELOG.md?utm_source=npm&utm_medium=listing&utm_campaign=vue-pdf-viewer-npm)

 © Copyright 2022 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.